Neo4j and Cassandra


(Tho) #1

Hi,
My name is Tho Nguyen and I am trying to integrate data from Cassandra to neo4j. I am facing the issue when tried to connect to Neo4j database:
Traceback (most recent call last):
File "C:\Users\nguye\AppData\Local\Programs\Python\Python37-32\lib\site-packages\py2neo\packages\httpstream\http.py", line 322, in submit
response = send()
File "C:\Users\nguye\AppData\Local\Programs\Python\Python37-32\lib\site-packages\py2neo\packages\httpstream\http.py", line 318, in send
return http.getresponse(**getresponse_args)
File "C:\Users\nguye\AppData\Local\Programs\Python\Python37-32\lib\http\client.py", line 1321, in getresponse
response.begin()
File "C:\Users\nguye\AppData\Local\Programs\Python\Python37-32\lib\http\client.py", line 296, in begin
version, status, reason = self._read_status()
File "C:\Users\nguye\AppData\Local\Programs\Python\Python37-32\lib\http\client.py", line 265, in _read_status
raise RemoteDisconnected("Remote end closed connection without"
http.client.RemoteDisconnected: Remote end closed connection without response

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\Users\nguye\AppData\Local\Programs\Python\Python37-32\lib\site-packages\py2neo\packages\httpstream\http.py", line 325, in submit
response = send("peer closed connection")
File "C:\Users\nguye\AppData\Local\Programs\Python\Python37-32\lib\site-packages\py2neo\packages\httpstream\http.py", line 318, in send
return http.getresponse(**getresponse_args)
File "C:\Users\nguye\AppData\Local\Programs\Python\Python37-32\lib\http\client.py", line 1321, in getresponse
response.begin()
File "C:\Users\nguye\AppData\Local\Programs\Python\Python37-32\lib\http\client.py", line 296, in begin
version, status, reason = self._read_status()
File "C:\Users\nguye\AppData\Local\Programs\Python\Python37-32\lib\http\client.py", line 265, in _read_status
raise RemoteDisconnected("Remote end closed connection without"
http.client.RemoteDisconnected: Remote end closed connection without response

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "connector.py", line 97, in
connector.export()
File "connector.py", line 60, in export
cypher_queries_gen.build_queries(tableNames, fileNames)
File "C:\GogetterIntern\neo4j-cassandra-connector\connector\cypher_queries_generator.py", line 66, in build_queries
runner.run()
File "C:\GogetterIntern\neo4j-cassandra-connector\connector\cypher_runner.py", line 17, in run
tx = self.graph.cypher.begin()
File "C:\Users\nguye\AppData\Local\Programs\Python\Python37-32\lib\site-packages\py2neo\core.py", line 661, in cypher
metadata = self.resource.metadata
File "C:\Users\nguye\AppData\Local\Programs\Python\Python37-32\lib\site-packages\py2neo\core.py", line 213, in metadata
self.get()
File "C:\Users\nguye\AppData\Local\Programs\Python\Python37-32\lib\site-packages\py2neo\core.py", line 258, in get
response = self.__base.get(headers=headers, redirect_limit=redirect_limit, **kwargs)
File "C:\Users\nguye\AppData\Local\Programs\Python\Python37-32\lib\site-packages\py2neo\packages\httpstream\http.py", line 966, in get
return self.__get_or_head("GET", if_modified_since, headers, redirect_limit, **kwargs)
File "C:\Users\nguye\AppData\Local\Programs\Python\Python37-32\lib\site-packages\py2neo\packages\httpstream\http.py", line 943, in __get_or_head
return rq.submit(redirect_limit=redirect_limit, **kwargs)
File "C:\Users\nguye\AppData\Local\Programs\Python\Python37-32\lib\site-packages\py2neo\packages\httpstream\http.py", line 433, in submit
http, rs = submit(self.method, uri, self.body, self.headers)
File "C:\Users\nguye\AppData\Local\Programs\Python\Python37-32\lib\site-packages\py2neo\packages\httpstream\http.py", line 362, in submit
raise SocketError(code, description, host_port=uri.host_port)
py2neo.packages.httpstream.http.SocketError: Remote end closed connection without response

I haven't had able to connect and populate sample data from cassandra to neo4J.